HSIproc can be built using CMake (https://cmake.org/) and a C/C++ compiler.

The STIM codebase is required, but will be cloned automatically if Git (https://git-scm.com/) is installed. The codebase can be downloaded manually here:
https://git.stim.ee.uh.edu/codebase/stimlib

Required libraries:
OpenCV: http://opencv.org/



-----------------------------------------------------------------------
Step-by-step instructions:

1) Download and install CMake

2) Download and install OpenCV

3) Download and install Git

4) Set the CMake source directory to the directory containing this file

5) Specify the CMake build directory where you want the executable built

6) Use CMake to Configure and Generate the build environment

7) Build the software (ex. in Visual Studio you will open the generated solution and compile)
